Loading...
Searching...
No Matches
doc_what_are_typecodes Class Reference

## Detailed Description

  LibSBML attaches an identifying code to every kind of SBML object. These are integer constants known as SBML type codes. The names of all the codes begin with the characters `SBML_`. In the Python language interface for libSBML, the type codes are defined as static integer constants in the interface class . Note that different Level 3 package plug-ins may use overlapping type codes; to identify the package to which a given object belongs, call the `SBase::getPackageName()` method on the object. The exception to this is lists: all SBML-style list elements have the type libsbml#SBML_LIST_OF SBML_LIST_OF , regardless of what package they are from.